/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2012. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCallback */
#define  PANEL_INSTR_DESC                 2       /* control type: string, callback function: (none) */
#define  PANEL_IDQUERY                    3       /* control type: radioButton, callback function: (none) */
#define  PANEL_RESET                      4       /* control type: radioButton, callback function: (none) */
#define  PANEL_VERTSCALE                  5       /* control type: numeric, callback function: (none) */
#define  PANEL_OFFSET                     6       /* control type: numeric, callback function: (none) */
#define  PANEL_HORIZSCALE                 7       /* control type: numeric, callback function: (none) */
#define  PANEL_TRIG_LEVEL                 8       /* control type: numeric, callback function: (none) */
#define  PANEL_TRIG_SLOPE                 9       /* control type: ring, callback function: (none) */
#define  PANEL_TIMEOUT                    10      /* control type: numeric, callback function: (none) */
#define  PANEL_ACQTYPE                    11      /* control type: ring, callback function: (none) */
#define  PANEL_ARITHMETICS                12      /* control type: ring, callback function: (none) */
#define  PANEL_START                      13      /* control type: command, callback function: startButton */
#define  PANEL_STOP                       14      /* control type: command, callback function: stopButton */
#define  PANEL_EXIT                       15      /* control type: command, callback function: exitButton */
#define  PANEL_TEXTMSG                    16      /* control type: textMsg, callback function: (none) */
#define  PANEL_GRAPH                      17      /* control type: graph, callback function: (none) */
#define  PANEL_DECORATION_3               18      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION_4               19      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION_5               20      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION_2               21      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION                 22      /* control type: deco, callback function: (none) */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK exitButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK stopButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
